config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}

preserve_perms() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  if [ -e $OLD ]; then
    cp -a $OLD ${NEW}.incoming
    cat $NEW > ${NEW}.incoming
    mv ${NEW}.incoming $NEW
  fi
  config $NEW
}

preserve_perms etc/rc.d/rc.dlm.new
config etc/default/dlm.new
( cd usr/lib ; rm -rf libdlm.so )
( cd usr/lib ; ln -sf libdlm.so.3.0 libdlm.so )
( cd usr/lib ; rm -rf libdlm.so.3 )
( cd usr/lib ; ln -sf libdlm.so.3.0 libdlm.so.3 )
( cd usr/lib ; rm -rf libdlm_lt.so )
( cd usr/lib ; ln -sf libdlm_lt.so.3.0 libdlm_lt.so )
( cd usr/lib ; rm -rf libdlm_lt.so.3 )
( cd usr/lib ; ln -sf libdlm_lt.so.3.0 libdlm_lt.so.3 )
( cd usr/lib ; rm -rf libdlmcontrol.so )
( cd usr/lib ; ln -sf libdlmcontrol.so.3.2 libdlmcontrol.so )
( cd usr/lib ; rm -rf libdlmcontrol.so.3 )
( cd usr/lib ; ln -sf libdlmcontrol.so.3.2 libdlmcontrol.so.3 )
